Summary:	Plasmoid for fancy representing your tasks and launchers
Name:		plasma-applet-fancytasks
Version:	1.0.94
Release:	%mkrel 1
Source0:	http://www.kde-look.org/CONTENT/content-files/99737-fancytasks-%{version}.tar.bz2
License:	GPLv2
Group:		Graphical desktop/KDE
URL:		http://www.kde-look.org/content/show.php/Fancy+Tasks?content=99737
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdebase4-devel
BuildRequires:	qimageblitz-devel
Requires:	kdebase4-runtime => 4.3
Provides:	plasma-applet

%description
Plasmoid for fancy representing your tasks and launchers. Inspired by
Avant Window Navigator and other MacOS X like docks.

Features:
- manages your tasks and launchers;
- tasks filtering, grouping (including manual) and sorting;
- launcher to task transition (icons of launchers with running tasks
are hidden);
- preview of windows with (live previews with KWin Taskbar Thumbnail
effect enabled) and without Composite (also for groups, you can click
them to activate window);
- dropping files on launchers runs command with parameters or gives
option to move, copy or link them (if this is directory);
- visual drop indicator that helps in manual tasks sorting and
dropping launchers;
- possibility to browse directories of directory launchers using
context menu;
- menu with list of all icons shown after activating keyboard
shortcut;
- configurable animations (zoom, jump, bounce, highlight, etc.) and
appearance (optional thumbnails, reflections and text label);
- fully animated icons (including animations of starting applications
and tasks needing attention).

%files -f plasma_applet_fancytasks.lang 
%defattr(-,root,root)
%doc INSTALL COPYING README TODO CHANGELOG
%_kde_libdir/kde4/plasma_applet_fancytasks.so
%_kde_appsdir/desktoptheme/default/widgets/fancytasks.svgz
%_kde_services/plasma-applet-fancytasks.desktop
%_kde_libdir/kde4/plasma_containment_fancypanel.so
%_kde_services/plasma-containment-fancypanel.desktop


#--------------------------------------------------------------------

%prep
%setup -q -n fancytasks-%{version}
#%patch0 -p 0
%build
%cmake_kde4
%make

%install
%__rm -rf %{buildroot}
%{makeinstall_std} -C build

%find_lang plasma_applet_fancytasks 
# Containement fancy panel now have some localisations, since it's still experimental
# and upstream does not want to split the package i'm merging the language file list
%find_lang plasma_containment_fancypanel
cat plasma_containment_fancypanel.lang >> plasma_applet_fancytasks.lang

%clean
%__rm -rf %{buildroot}


%changelog
* Sat Aug 28 2010 John Balcaen <mikala@mandriva.org> 1.0.94-1mdv2011.0
+ Revision: 573777
- Update to 1.0.94

* Tue Apr 27 2010 John Balcaen <mikala@mandriva.org> 1.0.93-1mdv2010.1
+ Revision: 539854
- Update to revision 1.0.93

* Sat Feb 27 2010 John Balcaen <mikala@mandriva.org> 1.0.92-1mdv2010.1
+ Revision: 512336
- Update to 1.0.92

* Sun Feb 14 2010 John Balcaen <mikala@mandriva.org> 1.0.91-2mdv2010.1
+ Revision: 505878
- Fix BuildRequires
- Rebuild

* Sat Feb 06 2010 John Balcaen <mikala@mandriva.org> 1.0.91-1mdv2010.1
+ Revision: 501425
- Update to 1.0.91

* Mon Feb 01 2010 John Balcaen <mikala@mandriva.org> 1.0.0-1mdv2010.1
+ Revision: 499312
- Update to 1.0.0
- Drop patch0

* Tue Jan 26 2010 John Balcaen <mikala@mandriva.org> 0.9.9a-1mdv2010.1
+ Revision: 496866
- update to new version 0.9.9a

* Tue Dec 29 2009 John Balcaen <mikala@mandriva.org> 0.9.9-1mdv2010.1
+ Revision: 483245
- Update to 0.9.9

* Mon Sep 14 2009 John Balcaen <mikala@mandriva.org> 0.9.8-1mdv2010.0
+ Revision: 440773
- Update to 0.9.8

* Thu Sep 10 2009 John Balcaen <mikala@mandriva.org> 0.9.7-1mdv2010.0
+ Revision: 436801
- update to 0.9.7
- add patch from upstream in order to fix blank icons

* Wed Aug 26 2009 John Balcaen <mikala@mandriva.org> 0.9.6-2mdv2010.0
+ Revision: 421307
+ rebuild (emptylog)

* Tue Aug 25 2009 John Balcaen <mikala@mandriva.org> 0.9.6-1mdv2010.0
+ Revision: 421200
- Update to 0.9.6

* Mon Aug 17 2009 John Balcaen <mikala@mandriva.org> 0.9.5-2mdv2010.0
+ Revision: 417469
- Patch from upstream (fix lost of favorite launcherconfiguration on first launch)

* Mon Aug 17 2009 John Balcaen <mikala@mandriva.org> 0.9.5-1mdv2010.0
+ Revision: 417240
- Update to 0.9.5
  Fix BuildRequires

* Sun Aug 09 2009 John Balcaen <mikala@mandriva.org> 0.9.4-1mdv2010.0
+ Revision: 413500
- Update to 0.9.4

* Thu Aug 06 2009 John Balcaen <mikala@mandriva.org> 0.9.3-2mdv2010.0
+ Revision: 410853
- Patch from upstream to fix a sizing problem in panel since final of kde 4.3

* Sun Jul 19 2009 John Balcaen <mikala@mandriva.org> 0.9.3-1mdv2010.0
+ Revision: 397896
- Update to 0.9.3

* Thu Jul 16 2009 John Balcaen <mikala@mandriva.org> 0.9.2-1mdv2010.0
+ Revision: 396512
- Update to 0.9.2

* Tue Jul 14 2009 John Balcaen <mikala@mandriva.org> 0.9.1-1mdv2010.0
+ Revision: 395742
- Adding qimageblitz-devel requires
- Fixing BuildRequires.
- Updating the SOURCE file.
  Adding a fixed fancytasks
- Update to 0.9.1

* Mon Jun 22 2009 John Balcaen <mikala@mandriva.org> 0.8.1-1mdv2010.0
+ Revision: 387975
- Fixing missing requires
- Fixing some spec errors.

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - import plasma-applet-fancytasks


* Fri Jun 12 2009 John Balcaen  <mikala@mandriva.org> 0.8.1-1mdv2010.0
- import fancytasks




